## tirex 0.7.0

=== Makefile ===
INSTALLOPTS=-g root -o root
build: Makefile.perl
	cd backend-mapnik; $(MAKE) $(MFLAGS)
	$(MAKE) -f Makefile.perl

Makefile.perl: Makefile.PL
	perl Makefile.PL PREFIX=/usr DESTDIR=$(DESTDIR) FIRST_MAKEFILE=Makefile.perl
	rm -f Makefile.perl.old

install-all: install install-example-map install-munin install-nagios

install-example-map:
	install -m 755 ${INSTALLOPTS} -d                              $(DESTDIR)/usr/share/tirex
	install -m 755 ${INSTALLOPTS} -d                              $(DESTDIR)/usr/share/tirex/example-map
	install -m 644 ${INSTALLOPTS} example-map/example.xml         $(DESTDIR)/usr/share/tirex/example-map
	install -m 644 ${INSTALLOPTS} example-map/ocean.*             $(DESTDIR)/usr/share/tirex/example-map
	install -m 644 ${INSTALLOPTS} example-map/README              $(DESTDIR)/usr/share/tirex/example-map
	install -m 755 ${INSTALLOPTS} -d                              $(DESTDIR)/etc/tirex/renderer/mapnik
	install -m 644 ${INSTALLOPTS} example-map/mapnik-example.conf $(DESTDIR)/etc/tirex/renderer/mapnik/example.conf

install-munin:
	install -m 755 ${INSTALLOPTS} -d                              $(DESTDIR)/usr/share/munin/plugins
	install -m 755 ${INSTALLOPTS} munin/*                         $(DESTDIR)/usr/share/munin/plugins

install-nagios:
	install -m 755 ${INSTALLOPTS} -d                              $(DESTDIR)/usr/lib/nagios/plugins
	install -m 755 ${INSTALLOPTS} -d                              $(DESTDIR)/etc/nagios/nrpe.d
	install -m 755 ${INSTALLOPTS} nagios/tirex*                   $(DESTDIR)/usr/lib/nagios/plugins
	install -m 644 ${INSTALLOPTS} nagios/cfg/*.cfg                $(DESTDIR)/etc/nagios/nrpe.d

install: build
	install -m 755 ${INSTALLOPTS} -d $(DESTDIR)/usr/bin/
	for program in bin/*; do \
	    install -m 755 ${INSTALLOPTS} $$program $(DESTDIR)/usr/bin/; \
    done
	install -m 755 ${INSTALLOPTS} backends/test                            $(DESTDIR)/usr/libexec/tirex-backend-test
	install -m 755 ${INSTALLOPTS} backends/wms                             $(DESTDIR)/usr/libexec/tirex-backend-wms
	install -m 755 ${INSTALLOPTS} backends/tms                             $(DESTDIR)/usr/libexec/tirex-backend-tms
	install -m 755 ${INSTALLOPTS} backends/mapserver                       $(DESTDIR)/usr/libexec/tirex-backend-mapserver
	install -m 755 ${INSTALLOPTS} backends/openseamap                      $(DESTDIR)/usr/libexec/tirex-backend-openseamap
	install -m 755 ${INSTALLOPTS} -d                                       $(DESTDIR)/etc/tirex
	install -m 644 ${INSTALLOPTS} etc/tirex.conf.dist                      $(DESTDIR)/etc/tirex/tirex.conf
	install -m 755 ${INSTALLOPTS} -d                                       $(DESTDIR)/etc/tirex/renderer
	install -m 755 ${INSTALLOPTS} -d                                       $(DESTDIR)/etc/tirex/renderer/test
	install -m 644 ${INSTALLOPTS} etc/renderer/test.conf.dist              $(DESTDIR)/etc/tirex/renderer/test.conf
	install -m 644 ${INSTALLOPTS} etc/renderer/test/checkerboard.conf.dist $(DESTDIR)/etc/tirex/renderer/test/checkerboard.conf
	install -m 755 ${INSTALLOPTS} -d                                       $(DESTDIR)/etc/tirex/renderer/wms
	install -m 755 ${INSTALLOPTS} -d                                       $(DESTDIR)/etc/tirex/renderer/tms
	install -m 755 ${INSTALLOPTS} -d                                       $(DESTDIR)/etc/tirex/renderer/openseamap
	install -m 755 ${INSTALLOPTS} -d                                       $(DESTDIR)/etc/tirex/renderer/mapserver
	install -m 644 ${INSTALLOPTS} etc/renderer/wms.conf.dist               $(DESTDIR)/etc/tirex/renderer/wms.conf
	install -m 644 ${INSTALLOPTS} etc/renderer/tms.conf.dist               $(DESTDIR)/etc/tirex/renderer/tms.conf
	install -m 644 ${INSTALLOPTS} etc/renderer/openseamap.conf.dist        $(DESTDIR)/etc/tirex/renderer/openseamap.conf
	install -m 644 ${INSTALLOPTS} etc/renderer/mapserver.conf.dist         $(DESTDIR)/etc/tirex/renderer/mapserver.conf
	install -m 644 ${INSTALLOPTS} etc/renderer/wms/demowms.conf.dist       $(DESTDIR)/etc/tirex/renderer/wms/demowms.conf
	install -m 644 ${INSTALLOPTS} etc/renderer/tms/demotms.conf.dist       $(DESTDIR)/etc/tirex/renderer/tms/demotms.conf
	install -m 644 ${INSTALLOPTS} etc/renderer/openseamap/openseamap.conf.dist $(DESTDIR)/etc/tirex/renderer/openseamap/openseamap.conf
	install -m 644 ${INSTALLOPTS} etc/renderer/mapserver/msdemo.conf.dist  $(DESTDIR)/etc/tirex/renderer/mapserver/msdemo.conf
	install -m 644 ${INSTALLOPTS} etc/renderer/mapserver/msdemo.map        $(DESTDIR)/etc/tirex/renderer/mapserver/msdemo.map
	install -m 644 ${INSTALLOPTS} etc/renderer/mapserver/fonts.lst         $(DESTDIR)/etc/tirex/renderer/mapserver/fonts.lst
	install -m 755 ${INSTALLOPTS} -d                                       $(DESTDIR)/etc/tirex/renderer/mapnik
	install -m 644 ${INSTALLOPTS} etc/renderer/mapnik.conf.dist            $(DESTDIR)/etc/tirex/renderer/mapnik.conf
	install -m 755 ${INSTALLOPTS} -d                                       $(DESTDIR)/usr/share/man/man1/
	for program in bin/*; do \
        if grep -q "=head" $$program; then \
            pod2man $$program > $(DESTDIR)/usr/share/man/man1/`basename $$program`.1; \
        fi; \
    done
	cd backend-mapnik; $(MAKE) DESTDIR=$(DESTDIR) "INSTALLOPTS=${INSTALLOPTS}" install
	$(MAKE) -f Makefile.perl install

clean: Makefile.perl
	$(MAKE) -f Makefile.perl clean
	cd backend-mapnik; $(MAKE) DESTDIR=$(DESTDIR) clean
	rm -f Makefile.perl
	rm -f Makefile.perl.old
	rm -f build-stamp
	rm -f configure-stamp
	rm -rf blib

deb:
	debuild -I -us -uc

deb-clean:
	debuild clean

check:
	podchecker bin/*
	find lib -type f -name \*.pm | sort | xargs podchecker

htmldoc:
	rm -fr htmldoc
	mkdir -p htmldoc
	for pod in `find bin -type f | grep -v '\.'`; do \
        mkdir -p htmldoc/`dirname $$pod` ;\
	    pod2html --css=foo.css --htmldir=htmldoc --podpath=lib:bin:doc --infile=$$pod --outfile=htmldoc/$$pod.html; \
	done
	for pod in `find lib -name \*.pm`; do \
        mkdir -p htmldoc/`dirname $$pod` ;\
	    pod2html --htmldir=htmldoc --podpath=lib:bin:doc --infile=$$pod --outfile=htmldoc/$${pod%.pm}.html; \
	done

=== debian/changelog ===
tirex (0.7.0-3) unstable; urgency=medium

  * Team upload.
  * Add Rules-Requires-Root to control file.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.2, no changes.
  * Move systemd services to /lib/systemd.
    (closes: #1034222)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Apr 2023 10:20:03 +0200

tirex (0.7.0-2) unstable; urgency=medium

  [ Frederik Ramm ]
  * Avoid deletion of tile cache on upgrade.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.

 -- Felix Delattre <debian@xama.nu>  Wed, 03 Aug 2022 08:27:51 +0000

tirex (0.7.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Felix Delattre <debian@xama.nu>  Mon, 22 Nov 2021 16:56:21 +0000

tirex (0.7.0-1~exp1) experimental; urgency=medium

  [ Felix Delattre ]
  * Initial package (Closes: #968676).
  * New upstream release 0.7.0
  * Adjusted copyright information.
  * Use tirex package.
  * Sort and review dependencies.
  * Review section declaration of packages.
  * Place apache2 config when installing tirex.
  * Introduce dedicated user _tirex.
  * Remove experimental backends, plugins, and example map from packaging.
  * Load utils into /usr/share.
  * Handle tiles and stats in cache directory.
  * Use daemon under /run.
  * Check on systemd service files.
  * Revisit configuration.
  * Bump Standards-Version to 4.6.0, no changes.

  [ Bas Couwenberg ]
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

 -- Felix Delattre <debian@xama.nu>  Thu, 07 Oct 2021 14:37:41 +0000

=== debian/control ===
Source: tirex
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Felix Delattre <debian@xama.nu>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-apache2,
               libboost-program-options-dev,
               libipc-sharelite-perl,
               libjson-perl,
               libmapnik-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/tirex
Vcs-Git: https://salsa.debian.org/debian-gis-team/tirex.git
Homepage: https://wiki.openstreetmap.org/wiki/Tirex
Rules-Requires-Root: no

Package: tirex
Section: utils
Architecture: any
Depends: adduser,
         libapache2-mod-tile,
         libgd-gd2-perl,
         libjson-perl,
         libipc-sharelite-perl,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: ${misc:Recommends}
Description: Daemon that renders raster map tile using different backends
 Tirex consists of several tools to manage map raster tile rendering and
 caching. It contains the master daemon, rendering manager, backends for
 mapnik and testing, and assorted utility programs.

Package: tirex-example-map
Section: web
Architecture: all
Depends: libjs-leaflet,
         tirex,
         ${misc:Depends},
Recommends: ${misc:Recommends},
Description: Tirex example map data and configuration
 It comes with all connecting pieces to make tirex work
 with Mapnik and Apache2 webserver.
 After installation the map can be visisted in a web
 browser by going to http://localhost/tirex-example-map.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with apache2

.PHONY: templates

## tirex 0.7.1

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	for program in bin/*; do \
 	    install -m 755 ${INSTALLOPTS} $$program $(DESTDIR)/usr/bin/; \
     done
+	install -m 755 ${INSTALLOPTS} -d                                       $(DESTDIR)/usr/libexec
 	install -m 755 ${INSTALLOPTS} backends/test                            $(DESTDIR)/usr/libexec/tirex-backend-test
 	install -m 755 ${INSTALLOPTS} backends/wms                             $(DESTDIR)/usr/libexec/tirex-backend-wms
 	install -m 755 ${INSTALLOPTS} backends/tms                             $(DESTDIR)/usr/libexec/tirex-backend-tms

=== backend-mapnik/Makefile ===
INSTALLOPTS=-g root -o root
CFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
CXXFLAGS = `mapnik-config --cflags` $(CFLAGS)
CXXFLAGS += -Wall -Wextra -pedantic -Wredundant-decls -Wdisabled-optimization -Wctor-dtor-privacy -Wnon-virtual-dtor -Woverloaded-virtual -Wsign-promo -Wold-style-cast
LDFLAGS= `mapnik-config --libs --ldflags --dep-libs`

backend-mapnik: renderd.o metatilehandler.o networklistener.o networkmessage.o networkrequest.o networkresponse.o debuggable.o requesthandler.o
	$(CXX) -o $@ $^ $(LDFLAGS)

clean:
	rm -f backend-mapnik *.o

install:
	install -m 755 ${INSTALLOPTS} backend-mapnik $(DESTDIR)/usr/libexec/tirex-backend-mapnik

=== debian/changelog ===
tirex (0.7.1-3build4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Aug 2025 08:19:17 +0200

tirex (0.7.1-3build3) plucky; urgency=medium

  * Rebuild against latest mapnik

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Nov 2024 07:32:38 -0500

tirex (0.7.1-3build2) oracular; urgency=medium

  * No-change rebuild for libmapnik4.0.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 05 Aug 2024 17:38:20 +0100

tirex (0.7.1-3build1) oracular; urgency=medium

  * Rebuild against new libmapnik4.0.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jun 2024 08:33:21 +0200

tirex (0.7.1-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with Mapnik 4.0.
    (closes: #1069109)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Jun 2024 08:04:22 +0200

tirex (0.7.1-2) unstable; urgency=medium

  * Team upload.

  [ datendelphin ]
  * Fix logrotate entry in tirex.install.

  [ Bas Couwenberg ]
  * Add architecture-is-64-bit to build dependencies to match mod_tile.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 May 2024 18:05:29 +0200

tirex (0.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * New upstream release.
  * Bump debhelper compat to 13.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Refresh patches.
  * Update lintian overrides.

  [ Helmut Grohne ]
  * Let dh_installsystemd choose the location of systemd units.
    (closes: #1052715)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Mar 2024 10:01:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Uploaders: Felix Delattre <debian@xama.nu>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: architecture-is-64-bit,
+               debhelper-compat (= 13),
                dh-apache2,
+               dh-sequence-apache2,
                libboost-program-options-dev,
                libipc-sharelite-perl,
                libjson-perl,
-               libmapnik-dev
+               libmapnik-dev (>= 4.0.0)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/tirex
 Vcs-Git: https://salsa.debian.org/debian-gis-team/tirex.git

## tirex 0.8.0

=== debian/changelog ===
tirex (0.8.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Aug 2025 16:19:03 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                libipc-sharelite-perl,
                libjson-perl,
                libmapnik-dev (>= 4.0.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/tirex
-Vcs-Git: https://salsa.debian.org/debian-gis-team/tirex.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/tirex.git -b experimental
 Homepage: https://wiki.openstreetmap.org/wiki/Tirex
 Rules-Requires-Root: no

## tirex 0.8.0%2Bds

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|tirex)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/tirex-$1.$2/,\
repacksuffix=+ds \
https://github.com/openstreetmap/tirex/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|tirex)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tirex 0.8.0+ds

=== backend-mapnik/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 CFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
 CXXFLAGS = `mapnik-config --cflags` $(CFLAGS)
 CXXFLAGS += -Wall -Wextra -pedantic -Wredundant-decls -Wdisabled-optimization -Wctor-dtor-privacy -Wnon-virtual-dtor -Woverloaded-virtual -Wsign-promo -Wold-style-cast
-LDFLAGS= `mapnik-config --libs --ldflags --dep-libs`
+LDFLAGS= `mapnik-config --libs --ldflags --dep-libs` -lboost_filesystem
 
 backend-mapnik: renderd.o metatilehandler.o networklistener.o networkmessage.o networkrequest.o networkresponse.o debuggable.o requesthandler.o
 	$(CXX) -o $@ $^ $(LDFLAGS)

=== debian/changelog ===
tirex (0.8.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Repack upstream tarball to exclude GitLab CI configuration.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 12:18:19 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libmapnik-dev (>= 4.0.0)
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/tirex
-Vcs-Git: https://salsa.debian.org/debian-gis-team/tirex.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/tirex.git
 Homepage: https://wiki.openstreetmap.org/wiki/Tirex
 Rules-Requires-Root: no
